Subject: bug#74642: 31.0.50; [Patch] Turn off current source line indicator when gdb buffer is killed

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Dec 2024 21:11:35 +0200

> Cc: [email-masked]
> Date: Wed, 04 Dec 2024 15:41:18 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Diancheng Wang <[email-masked]>
> > Cc: [email-masked]
> > Date: Wed, 04 Dec 2024 16:22:51 +0800
> > 
> > > I guess you mean "C-x k RET"?
> > 
> > Yes, I mean "C-x k RET"
> > 
> > >
> > > When I do that, Emacs asks me whether to kill the process associated
> > > with the buffer, and if I say YES, the indicator does disappear
> > 
> > Yes, the steps are same with me.
> > 
> > > (sometimes after a second, which I guess is needed for Emacs to kill
> > > the process).  Isn't that what you see?
> > 
> > No, the indicator does not disappear after I killed "*gud-myprogram*" buffer.
> > By the way I started emacs using "emacs -Q".
> 
> So did I.
> 
> > The attachment is my running emacs information (the buffer content
> > created by report-emacs-bug)
> 
> Looks like some kind of regression in Emacs 31.  It works in Emacs 30.
> If you could bisect to find the offending commit, it will be
> appreciated.

Crystal ball says that the regression was caused by the change you
submitted (and I installed) in bug#73687.  It added a call to
gud-hide-current-line-indicator to gdb-starting and to gud-sentinel.
Could you try reverting those changes and see if that solves the
problem in Emacs 31?